Bug 1509045 - selfserv refuses to use rsa-pss keys [rhel-7]
Summary: selfserv refuses to use rsa-pss keys [rhel-7]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nss
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: pre-dev-freeze
: 7.4
Assignee: Daiki Ueno
QA Contact: Hubert Kario
URL:
Whiteboard:
Depends On: 1645231
Blocks: rhel7-rsa-pss-in-nss 1730246 1601052
TreeView+ depends on / blocked
 
Reported: 2017-11-02 19:15 UTC by Hubert Kario
Modified: 2019-08-06 13:08 UTC (History)
4 users (show)

Fixed In Version: nss-3.43.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1601052 (view as bug list)
Environment:
Last Closed: 2019-08-06 13:08:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2237 None None None 2019-08-06 13:08:53 UTC
Mozilla Foundation 1346748 None None None 2019-07-15 15:16:44 UTC
Red Hat Bugzilla 1431241 None CLOSED Fully implement verification of RSA-PSS keys in certificates in tstclnt and selfserv [rhel-7] 2019-10-16 13:25:34 UTC
Mozilla Foundation 1471985 None None None 2019-07-15 15:16:44 UTC

Internal Links: 1431241

Description Hubert Kario 2017-11-02 19:15:15 UTC
Description of problem:
When server has only RSA-PSS key, and client advertises support for RSA-PSS, the server still aborts connection with handshake_failure alert 

Version-Release number of selected component (if applicable):
nss-3.34

How reproducible:
always

Steps to Reproduce:
1. Setup server with attachment 1262017 [details] server/key.pem and server/cert.pem
2. Create nssdb with ca/cert.pem certificate marked as trusted
3. tstclnt -d sql:./nssdb/ -h 127.0.0.1 -p 4433

Actual results:
server aborts connection

Expected results:
Connection established

Additional info:
similar to bug 1431241, but this affects the server side

Comment 2 Kai Engert (:kaie) (inactive account) 2018-03-09 16:01:26 UTC
Hubert, I see the upstream bug was fixed for NSS 3.34

Can this bug be marked fixed?

Comment 3 Hubert Kario 2018-03-09 16:46:13 UTC
it's not fixed in nss-3.34.0-4.el7.x86_64

importing a RSA-PSS key to nssdb does not allow the server to use it

Comment 8 Simo Sorce 2019-02-11 15:41:43 UTC
This issue was not selected to be included either in Red Hat Enterprise Linux 7.7 because it is seen either as low or moderate impact to a small amount of use-cases. The next release will be in Maintenance Support 1 Phase, which means that qualified Critical and Important Security errata advisories (RHSAs) and Urgent Priority Bug Fix errata advisories (RHBAs) may be released as they become available. We will now close this issue, but if you believe that it qualifies for the Maintenance Support 1 Phase, please re-open; otherwise we recommend moving the request to Red Hat Enterprise Linux 8 if applicable.

Comment 16 errata-xmlrpc 2019-08-06 13:08:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2237


Note You need to log in before you can comment on or make changes to this bug.